curl -X PATCH "https://kodostatus.com/api/v1/uptime-monitors/mon_abc123" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"interval_seconds": 600
}'
{
"id": "uuid",
"enabled": false,
"interval_seconds": 600
}
Uptime Monitors
Update Uptime Monitor
Update monitor settings
PATCH
/
uptime-monitors
/
{id}
curl -X PATCH "https://kodostatus.com/api/v1/uptime-monitors/mon_abc123" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"interval_seconds": 600
}'
{
"id": "uuid",
"enabled": false,
"interval_seconds": 600
}
Path Parameters
string
required
The monitor ID
Body Parameters
string
Updated monitor name
string
Updated URL to monitor
boolean
Enable or disable the monitor
integer
Updated check interval
Response
Returns the updated monitor object.curl -X PATCH "https://kodostatus.com/api/v1/uptime-monitors/mon_abc123" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"interval_seconds": 600
}'
{
"id": "uuid",
"enabled": false,
"interval_seconds": 600
}